EML - Bug #2568

Inconsistent naming of "method"(s) element
10/18/2006 03:41 PM - Will Tyburczy
Description

The "method" element of the entity (dataTable) and attribute elements should have the same name as the "methods" element at the

dataset level.

Related issues:

Blocked by EML - Bug #3508: create a stylesheet for EML2.0.x to EML 2.1.0

New

10/06/2008

History

#1 - 09/22/2008 12:20 PM - Margaret O'Brien
targeting for 2.1.0, although may drop back to unspecified.

#2 - 10/01/2008 04:26 PM - Margaret O'Brien

schema bugs targeted for 2.1.0 set to P1

#3 - 10/02/2008 01:05 PM - Margaret O'Brien

The methodsType elements are children of <methods> or <method> elements in several mnodules:

eml-attribute.xsd:

<xs:element name="method" type="md:MethodsType" minOccurs="0">

eml-dataset.xsd:

<xs:element name="methods" type="md:MethodsType" minOccurs="0">

eml-entity.xsd:

<xs:element name="method" type="md:MethodsType" minOccurs="0">

eml-methods.xsd:

<xs:element name="methods" type="MethodsType">

the xpaths in instance documents:

eml/dataset/methods

eml/dataset/dataTable/method
eml/dataset/dataTable/attributeList/attribute/method

the declarations will be standardized to
<xs:element name="methods" type="md:MethodsType" ...>

for these reasons:

1. the type is called MethodsType (plural) in the imported methods module,

2. it can be composed of multiple <methodStep> elements (or other) children,
3. use of a plural noun is common common practice in XML to contain multiple singular children of the same noun, which means that if the methods
module is expanded in the future, <method> children (singular) could be inserted to contain the <methodStep>s

#4 - 10/02/2008 02:11 PM - Margaret O'Brien

don't close this bug till you update the pngs for:

dataTable

entity
spatialRaster
spatialVector
storedProcedure
view

all these ref the EntityGroup (changed in rev 1.86)

#5 - 11/06/2008 10:27 AM - Margaret O'Brien

this is done, except for the documentation PNGs, which are now all listed in bug #3600. so this one can be closed.
https://projects.ecoinformatics.org/ecoinfo/issues/3600

#6 - 12/02/2008 03:53 PM - Margaret O'Brien

Just adding a summary of what Jing and | found for method/s declarations:

These 2 were already declared as "methods" and dont need to be changed:
eml-dataset.xsd: <xs:element name="methods" type="md:MethodsType" minOccurs="0">
eml-methods.xsd: <xs:element name="methods" type="MethodsType">

This path need to be changed: attribute/method
eml-attribute.xsd: <xs:element name="method" type="md:MethodsType" minOccurs="0">

and those that use the EntityGroup:
otherEntity/method
dataTable/method
spatialRaster/method
spatialVector/method

view/method

eml-entity.xsd: <xs:group name="EntityGroup">

eml-entity.xsd:  <xs:element name="method" type="md:MethodsType" minOccurs="0">
eml-dataTable.xsd: <xs:group ref="ent:EntityGroup"/>

eml-entity.xsd: <xs:group ref="EntityGroup"/>

eml-spatialRaster.xsd: <xs:group ref="ent:EntityGroup"/>

eml-spatialVector.xsd: <xs:group ref="ent:EntityGroup"/>

eml-storedProcedure.xsd: <xs:group ref="ent:EntityGroup"/>

eml-view.xsd: <xs:group ref="ent:EntityGroup"/>

#7 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2568
